Summary:	Aurox Package Updater for KDE
Name:		aurox-updater
Version:	1.1
Release:	0%{?dist}
Url:		http://www.aurox.org
Group:		User Interface/Desktops
License:	GPL
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
Source0:	%{name}-%{version}.tar.bz2
Source1:	%{name}.desktop
Source2:	%{name}-autostart.desktop
Requires:	kdebase, yum, qt
BuildRequires:	kdebase-devel, qt-devel

%description
Package updater is a tool for informing user about avalible updates and applying updates.

%prep
%setup -q -n aurox-updater

%build
%{__make} clean
%{__make}
%{__make} -C ./slave


%install
rm -rf $RPM_BUILD_ROOT

mkdir -p $RPM_BUILD_ROOT%{_bindir}
mkdir -p $RPM_BUILD_ROOT%{_datadir}/autostart/
mkdir -p $RPM_BUILD_ROOT%{_datadir}/applications/kde/
mkdir -p $RPM_BUILD_ROOT%{_datadir}/icons/hicolor/24x24/apps/
mkdir -p $RPM_BUILD_ROOT%{_datadir}/icons/hicolor/48x48/apps/
mkdir -p $RPM_BUILD_ROOT%{_datadir}/%{name}/

install -m 755 %{name} $RPM_BUILD_ROOT%{_bindir}/%{name}
install -m ug+srwx,o+srx-w slave/slaveUpdater $RPM_BUILD_ROOT%{_datadir}/%{name}/slaveUpdater
install -m 644 24x24/aurox.png $RPM_BUILD_ROOT%{_datadir}/icons/hicolor/24x24/apps/aurox.png
install -m 644 48x48/aurox.png $RPM_BUILD_ROOT%{_datadir}/icons/hicolor/48x48/apps/aurox.png
install -m 644 updater_??.qm $RPM_BUILD_ROOT%{_datadir}/%{name}/
install -m 644 %{SOURCE2} $RPM_BUILD_ROOT%{_datadir}/autostart/%{name}-autostart.desktop
install -m 644 %{SOURCE1} $RPM_BUILD_ROOT%{_datadir}/applications/kde/%{name}.desktop

%post
%postun
%files
%{_bindir}/%{name}
%{_datadir}/%{name}/slaveUpdater
%{_datadir}/autostart/%{name}-autostart.desktop
%{_datadir}/applications/kde/%{name}.desktop
%{_datadir}/aurox-updater/updater_??.qm
%{_datadir}/icons/hicolor/24x24/apps/aurox.png
%{_datadir}/icons/hicolor/48x48/apps/aurox.png

%changelog
* Wed Aug 04 2006 Czarek Butler <czarek@aurox.org> 1.1-0
- Added deamon which allows to really check for updates even if you aren't root.

* Wed Aug 02 2006 Czarek Butler <czarek@aurox.org> 1.0-4
- translated some part of interface

* Mon Jun 24 2006 Czarek Butler <czarek@aurox.org> 1.0-3
- checks much faster for new updates

* Fri Jun 21 2006 Czarek Butler <czarek@aurox.org> 1.0-2
- new icon, added pl translation

* Thu Jun 19 2006 Jakub Wojnowski <jwojnowski@aurox.org> 1.0-1
- initial release
